Package ru.bitel.bgbilling.kernel.event.events

# Class TimerEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.TimerEvent

All Implemented Interfaces:
  `Serializable`

public class TimerEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - Таймер.
Событие добавляется в очередь стандартной задачей планировщика "Генератор событий таймера".
Таймеры могут различаться целочисленным флагом.
Рекомендуется использовать глобальные скрипты вместо обработки данного события!
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TimerEvent()`
  ``
  `TimerEvent(int cid, int flag)`
  Конструктор события.
  Создается с кодом сервера.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFlag()`
  Возвращает флаг таймера, установленный в задаче.
  Флаги позволяют различать несколько таймеров, обрабатывая только нужные.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimerEvent

    protected TimerEvent()

  - ### TimerEvent

    public TimerEvent(int cid, int flag)
    Конструктор события.
    Создается с кодом сервера.
    Parameters:
      `cid` - - id договора
      `flag` - - флаг задачи
    See Also:
      - `User`

- ## Method Details

  - ### getFlag

    public int getFlag()
    Возвращает флаг таймера, установленный в задаче.
    Флаги позволяют различать несколько таймеров, обрабатывая только нужные.
    Returns:
      flag флаг таймера